Subject: Re: [PATCH 1/2] Teach git-describe to display distances from tags.

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 26 Jan 2007 04:51:14 -0500

Francis Moreau <[email-masked]> wrote:
> But there are incompatibilities.

Nothing really *that* major.  Heck, that git-describe change is
probably one of the biggest, if not the biggest.
 
> Another example, which may be a bad one since I unfortunately don't
> have time to follow closely git's development: the internal of 'git
> pull' has completely changed. If I clone a repo with git v1.4.x and I
> pull in this repo with git v1.5.x, does it still works ?

Yes, of course.  Just like before too.

What's different is if you clone with 1.5.x, as we now default to the
seperate remotes layout.  This was an option in 1.4.x and earlier,
its now the only way its done in 1.5.x.

-- 
Shawn.